cURL
curl "https://api.phrase.com/v2/projects/:project_id/webhooks/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"callback_url":"http://example.com/hooks/phraseapp-notifications","description":"My webhook for chat notifications","events":"locales:create,translations:update"}' \
-H 'Content-Type: application/json'phrase webhooks update \
--project_id <project_id> \
--id <id> \
--data '{"callback_url": "http://example.com/hooks/phraseapp-notifications", "description": "My webhook for chat notifications", "events": "locales:create,translations:update"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/webhooks/{id}"
payload = {
"callback_url": "http://example.com/hooks/phraseapp-notifications",
"secret": "secr3t",
"description": "My webhook for chat notifications",
"events": "locales:create,translations:update",
"active": None,
"include_branches": None
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callback_url: 'http://example.com/hooks/phraseapp-notifications',
secret: 'secr3t',
description: 'My webhook for chat notifications',
events: 'locales:create,translations:update',
active: null,
include_branches: null
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"callback_url": "http://example.com/hooks/phraseapp-notifications",
"description": "My webhook for chat notifications",
"events": "locales:create,translations:update",
"active": true,
"include_branches": false,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Webhooks
Update a webhook
Update an existing webhook.
PATCH
/
projects
/
{project_id}
/
webhooks
/
{id}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/webhooks/:id" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCH \
-d '{"callback_url":"http://example.com/hooks/phraseapp-notifications","description":"My webhook for chat notifications","events":"locales:create,translations:update"}' \
-H 'Content-Type: application/json'phrase webhooks update \
--project_id <project_id> \
--id <id> \
--data '{"callback_url": "http://example.com/hooks/phraseapp-notifications", "description": "My webhook for chat notifications", "events": "locales:create,translations:update"}' \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/webhooks/{id}"
payload = {
"callback_url": "http://example.com/hooks/phraseapp-notifications",
"secret": "secr3t",
"description": "My webhook for chat notifications",
"events": "locales:create,translations:update",
"active": None,
"include_branches": None
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callback_url: 'http://example.com/hooks/phraseapp-notifications',
secret: 'secr3t',
description: 'My webhook for chat notifications',
events: 'locales:create,translations:update',
active: null,
include_branches: null
})
};
fetch('https://api.phrase.com/v2/projects/{project_id}/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"callback_url": "http://example.com/hooks/phraseapp-notifications",
"description": "My webhook for chat notifications",
"events": "locales:create,translations:update",
"active": true,
"include_branches": false,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Body
application/json
Callback URL to send requests to
Example:
"http://example.com/hooks/phraseapp-notifications"
Webhook secret used to calculate signature. If empty, the default project secret will be used.
Example:
"secr3t"
Webhook description
Example:
"My webhook for chat notifications"
List of event names to trigger the webhook (separated by comma)
Example:
"locales:create,translations:update"
Whether webhook is active or inactive
Example:
null
If enabled, webhook will also be triggered for events from branches of the project specified.
Example:
null
Was this page helpful?
⌘I